Subject: bug#27016: possible bug in `defsetf'

From: Rafael D Sorkin <[email-masked]>
Date: Thu, 25 May 2017 01:01:04 -0400

> tags 27016 wontfix
 > close 27016
 > quit
 > 
 > > Can't you just `defsetf' unconditionally to a named
 > > function, and change that function's definition when
 > > appropriate (in a conditional)?
 > 
 > Or just
 > 
 >     (eval-and-compile
 >       (unless t
 >         (defsetf foobar setcar)))
 > 
 > Anyway, I don't see any likely solutions to make this work
 > exactly as before, so I'm going to close this as wontfix, but
 > feel free to continue discussing (and/or say that I'm wrong).

One problem is that, as far as I know, common lisp doesn't have
`eval-and-compile', and my code is meant to work with both elisp
and common lisp.  In any case, as I wrote to Michael, I plan now
to use defsetf only at top level.  So thanks for the suggestion,
and do feel free to keep this bug closed as "wontfix".

- Rafael
~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-
 Rafael Sorkin
 Perimeter Institute for Theoretical Physics
 31 Caroline Street North
 Waterloo, ON  N2L 2Y5
 Canada
~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-